Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultHighlighter.DefaultHighlightPainter

    java.lang.Object
      |
      +--javax.swing.text.LayeredHighlighter.LayerPainter
            |
            +--javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

public static class DefaultHighlighter.DefaultHighlightPainter
extends LayeredHighlighter.LayerPainter

Simple highlight painter that fills a highlighted area with a solid color.

Constructor Summary
`DefaultHighlighter.DefaultHighlightPainter(java.awt.Color c)` Constructs a new highlight painter.

Method Summary
`java.awt.Color` | `getColor()` Returns the color of the highlight.
`void` | `paint(java.awt.Graphics g, int offs0, int offs1, java.awt.Shape bounds, JTextComponent c)` Paints a highlight.
`java.awt.Shape` | `paintLayer(java.awt.Graphics g, int offs0, int offs1, java.awt.Shape bounds, JTextComponent c, View view)` Paints a portion of a highlight.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighter.DefaultHighlightPainter

    public DefaultHighlighter.DefaultHighlightPainter(java.awt.Color c)

  Constructs a new highlight painter. If `c` is null, the JTextComponent will be queried for its selection color.
  Parameters:
    `c` - the color for the highlight

Method Detail

### getColor

    public java.awt.Color getColor()

  Returns the color of the highlight.
  Returns:
    the color

### paint

    public void paint(java.awt.Graphics g,
                      int offs0,
                      int offs1,
                      java.awt.Shape bounds,
                      JTextComponent c)

  Paints a highlight.
  Parameters:
    `g` - the graphics context
    `offs0` - the starting model offset >= 0
    `offs1` - the ending model offset >= offs1
    `bounds` - the bounding box for the highlight
    `c` - the editor

### paintLayer

    public java.awt.Shape paintLayer(java.awt.Graphics g,
                                     int offs0,
                                     int offs1,
                                     java.awt.Shape bounds,
                                     JTextComponent c,
                                     View view)

  Paints a portion of a highlight.
  Parameters:
    `g` - the graphics context
    `offs0` - the starting model offset >= 0
    `offs1` - the ending model offset >= offs1
    `bounds` - the bounding box of the view, which is not necessarily the region to paint.
    `c` - the editor
    `view` - View painting for
  Returns:
    region drawing occured in
  Overrides:
    paintLayer in class LayeredHighlighter.LayerPainter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.